### Struct

# Qmi MessageGasDmsSetFirmwareAutoSimInput

since: 1.36

#### Description [src]

    struct QmiMessageGasDmsSetFirmwareAutoSimInput {
      /* No available fields */
    }

The `QmiMessageGasDmsSetFirmwareAutoSimInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.36

#### Constructors

###### qmi_message_gas_dms_set_firmware_auto_sim_input_new

Allocates a new `QmiMessageGasDmsSetFirmwareAutoSimInput`.

since: 1.36

#### Instance methods

###### qmi_message_gas_dms_set_firmware_auto_sim_input_get_auto_sim_mode

Get the ‘Auto Sim Mode’ field from `self`.

since: 1.36

###### qmi_message_gas_dms_set_firmware_auto_sim_input_get_config_id

Get the ‘Config Id’ field from `self`.

since: 1.36

###### qmi_message_gas_dms_set_firmware_auto_sim_input_ref

Atomically increments the reference count of `self` by one.

since: 1.36

###### qmi_message_gas_dms_set_firmware_auto_sim_input_set_auto_sim_mode

Set the ‘Auto Sim Mode’ field in the message.

since: 1.36

###### qmi_message_gas_dms_set_firmware_auto_sim_input_set_config_id

Set the ‘Config Id’ field in the message.

since: 1.36

###### qmi_message_gas_dms_set_firmware_auto_sim_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.36